### Type parameters

- #### T

### Hierarchy

- ShaderInput

## Index

### Constructors

- constructor

### Properties

- channels
- filter
- height
- index
- input
- mipFilter
- width
- wrap

## Constructors

### constructor

- new ShaderInput(): ShaderInput

- - Defined in lib/openfl/display/ShaderInput.d.ts:19

  #### Returns ShaderInput

## Properties

### channels

channels: number

- Defined in lib/openfl/display/ShaderInput.d.ts:12

### filter

filter: Context3DTextureFilter

- Defined in lib/openfl/display/ShaderInput.d.ts:13

### height

height: number

- Defined in lib/openfl/display/ShaderInput.d.ts:14

### index

index: number

- Defined in lib/openfl/display/ShaderInput.d.ts:15

### input

input: T

- Defined in lib/openfl/display/ShaderInput.d.ts:16

### mipFilter

mipFilter: Context3DMipFilter

- Defined in lib/openfl/display/ShaderInput.d.ts:17

### width

width: number

- Defined in lib/openfl/display/ShaderInput.d.ts:18

### wrap

wrap: Context3DWrapMode

- Defined in lib/openfl/display/ShaderInput.d.ts:19

Generated using TypeDoc